<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{BAFCD632-06A1-4EDC-9B14-0897E001572A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Service</RootNamespace>
    <AssemblyName>Service</AssemblyName>
    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\WebSite\Bin\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CacheManager.Core, Version=0.7.4.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\CacheManager.Core.0.7.4\lib\net40\CacheManager.Core.dll</HintPath>
    </Reference>
    <Reference Include="Commons">
      <HintPath>..\lib\Memcached\Commons.dll</HintPath>
    </Reference>
    <Reference Include="log4net, Version=1.2.10.0, Culture=neutral, PublicKeyToken=1b44e1d426115821, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\log4net\log4net.dll</HintPath>
    </Reference>
    <Reference Include="Memcached.ClientLibrary, Version=1.0.0.0, Culture=neutral, PublicKeyToken=42c0400964dcc297, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Memcached\Memcached.ClientLibrary.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="RestSharp, Version=105.2.3.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\RestSharp\RestSharp.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="GenericManagerBase`1.cs" />
    <Compile Include="IAlarmSettingManager.cs" />
    <Compile Include="IAppHotelManager.cs" />
    <Compile Include="IAppMenuManager.cs" />
    <Compile Include="ICurtainControlManager.cs" />
    <Compile Include="IEnergyConsumptionStatisticsManager.cs" />
    <Compile Include="IFaultRecordsManager.cs" />
    <Compile Include="IFaultTypeManager.cs" />
    <Compile Include="IGenericManager`1.cs" />
    <Compile Include="IGroupManager.cs" />
    <Compile Include="IHostAirManager.cs" />
    <Compile Include="IHostAirRecordManager.cs" />
    <Compile Include="IHostManager.cs" />
    <Compile Include="IHostModalManager.cs" />
    <Compile Include="IHostModalRecordManager.cs" />
    <Compile Include="IHostRoomCardManager.cs" />
    <Compile Include="IHostTimingControlManager.cs" />
    <Compile Include="IHostUpdateManager.cs" />
    <Compile Include="IHostUpdateStatusManager.cs" />
    <Compile Include="IHotelAirControlManager.cs" />
    <Compile Include="ILightControlManager.cs" />
    <Compile Include="IModalTypeManager.cs" />
    <Compile Include="IModelDetailManager.cs" />
    <Compile Include="IModelManager.cs" />
    <Compile Include="Implement\AlarmSettingManager.cs" />
    <Compile Include="Implement\AppHotelManager.cs" />
    <Compile Include="Implement\AppMenuManager.cs" />
    <Compile Include="Implement\CurtainControlManager.cs" />
    <Compile Include="Implement\EnergyConsumptionStatisticsManager.cs" />
    <Compile Include="Implement\FaultRecordsManager.cs" />
    <Compile Include="Implement\FaultTypeManager.cs" />
    <Compile Include="Implement\GroupManager.cs" />
    <Compile Include="Implement\HostAirManager.cs" />
    <Compile Include="Implement\HostAirRecordManager.cs" />
    <Compile Include="Implement\HostManager.cs" />
    <Compile Include="Implement\HostModalManager.cs" />
    <Compile Include="Implement\HostModalRecordManager.cs" />
    <Compile Include="Implement\HostRoomCardManager.cs" />
    <Compile Include="Implement\HostTimingControlManager.cs" />
    <Compile Include="Implement\HostUpdateManager.cs" />
    <Compile Include="Implement\HostUpdateStatusManager.cs" />
    <Compile Include="Implement\HotelAirControlManager.cs" />
    <Compile Include="Implement\LightControlManager.cs" />
    <Compile Include="Implement\ModalTypeManager.cs" />
    <Compile Include="Implement\ModelDetailManager.cs" />
    <Compile Include="Implement\ModelManager.cs" />
    <Compile Include="Implement\MusicControlManager.cs" />
    <Compile Include="Implement\OverviewManager.cs" />
    <Compile Include="Implement\PowerSupplyControlManager.cs" />
    <Compile Include="Implement\RoomCardManager.cs" />
    <Compile Include="Implement\RoomCardTypeManager.cs" />
    <Compile Include="Implement\RoomModalManager.cs" />
    <Compile Include="Implement\RoomServiceManager.cs" />
    <Compile Include="Implement\RoomServiceRecordManager.cs" />
    <Compile Include="Implement\RoomStatusAidManager.cs" />
    <Compile Include="Implement\RoomStatusManager.cs" />
    <Compile Include="Implement\RoomTypeAirManager.cs" />
    <Compile Include="Implement\RoomTypeManager.cs" />
    <Compile Include="Implement\RoomTypeModalManager.cs" />
    <Compile Include="Implement\RoomTypeSceneManager.cs" />
    <Compile Include="Implement\RoomTypeSceneModalManager.cs" />
    <Compile Include="Implement\SearchHostManager.cs" />
    <Compile Include="Implement\SysActiveUserManager.cs" />
    <Compile Include="Implement\SysAuthorityManager.cs" />
    <Compile Include="Implement\SysRoleManager.cs" />
    <Compile Include="Implement\SysSettingManager.cs" />
    <Compile Include="Implement\SysUserManager.cs" />
    <Compile Include="Implement\SysSystemLogsManager.cs" />
    <Compile Include="Implement\AppRoomManager.cs" />
    <Compile Include="Implement\TvControlManager.cs" />
    <Compile Include="Implement\SysHotelManager.cs" />
    <Compile Include="Implement\UnlockControlManager.cs" />
    <Compile Include="Implement\WXMenusManager.cs" />
    <Compile Include="Implement\RoomTypeWXMenusManager.cs" />
    <Compile Include="Implement\HotelSeasonManager.cs" />
    <Compile Include="Implement\HostFaultsManager.cs" />
    <Compile Include="Implement\HostSceneManager.cs" />
    <Compile Include="Implement\HostFaultRecordsManager.cs" />
    <Compile Include="Implement\ManualVisitManager.cs" />
    <Compile Include="Implement\HostWordsReportManager.cs" />
    <Compile Include="Implement\SysOauth2Manager.cs" />
    <Compile Include="Implement\SysHotelGroupManager.cs" />
    <Compile Include="Implement\SysProvinceManager.cs" />
    <Compile Include="Implement\RoomTypeChannelsManager.cs" />
    <Compile Include="Implement\RoomTypeProgramFilesManager.cs" />
    <Compile Include="Implement\HostRCUManager.cs" />
    <Compile Include="Implement\TestManager.cs" />
    <Compile Include="Implement\KongTiaoTimerManager.cs" />
    <Compile Include="Implement\RoomNobodyManager.cs" />
    <Compile Include="Implement\RoomNobodyLogManager.cs" />
    <Compile Include="Implement\ECO_SettingManager.cs" />
    <Compile Include="Implement\TFTP_SettingManager.cs" />
    <Compile Include="Implement\CarbonVIPManager.cs" />
    <Compile Include="Implement\LieECOManager.cs" />
    <Compile Include="IMusicControlManager.cs" />
    <Compile Include="IOverviewManager.cs" />
    <Compile Include="IPowerSupplyControlManager.cs" />
    <Compile Include="IRoomCardManager.cs" />
    <Compile Include="IRoomCardTypeManager.cs" />
    <Compile Include="IRoomModalManager.cs" />
    <Compile Include="IRoomServiceManager.cs" />
    <Compile Include="IRoomServiceRecordManager.cs" />
    <Compile Include="IRoomStatusAidManager.cs" />
    <Compile Include="IRoomStatusManager.cs" />
    <Compile Include="IRoomTypeAirManager.cs" />
    <Compile Include="IRoomTypeManager.cs" />
    <Compile Include="IRoomTypeModalManager.cs" />
    <Compile Include="IRoomTypeSceneManager.cs" />
    <Compile Include="IRoomTypeSceneModalManager.cs" />
    <Compile Include="ISearchHostManager.cs" />
    <Compile Include="ISysActiveUserManager.cs" />
    <Compile Include="ISysAuthorityManager.cs" />
    <Compile Include="ISysRoleManager.cs" />
    <Compile Include="ISysSettingManager.cs" />
    <Compile Include="ISysUserManager.cs" />
    <Compile Include="ITvControlManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="ISysSystemLogsManager.cs" />
    <Compile Include="IAppRoomManager.cs" />
    <Compile Include="ISysHotelManager.cs" />
    <Compile Include="IUnlockControlManager.cs" />
    <Compile Include="IWXMenusManager.cs" />
    <Compile Include="IRoomTypeWXMenusManager.cs" />
    <Compile Include="IHotelSeasonManager.cs" />
    <Compile Include="IHostFaultsManager.cs" />
    <Compile Include="IHostSceneManager.cs" />
    <Compile Include="IHostFaultRecordsManager.cs" />
    <Compile Include="IManualVisitManager.cs" />
    <Compile Include="IHostWordsReportManager.cs" />
    <Compile Include="ISysOauth2Manager.cs" />
    <Compile Include="ISysHotelGroupManager.cs" />
    <Compile Include="ISysProvinceManager.cs" />
    <Compile Include="IRoomTypeChannelsManager.cs" />
    <Compile Include="IRoomTypeProgramFilesManager.cs" />
    <Compile Include="IHostRCUManager.cs" />
    <Compile Include="ITestMananger.cs" />
    <Compile Include="IKongTiaoTimerManager.cs" />
    <Compile Include="IRoomNoBodyMananger.cs" />
    <Compile Include="IRoomNoBodyLogMananger.cs" />
    <Compile Include="IECO_SettingMananger.cs" />
    <Compile Include="ITFTP_SettingMananger.cs" />
    <Compile Include="ICarbonVIPMananger.cs" />
    <Compile Include="ILieECOMananger.cs" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Config\Service.xml">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Config\ServiceBase.xml" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\CommonEntity\CommonEntity.csproj">
      <Project>{1D7073B2-4CC3-49F5-9F37-50A21D74A39D}</Project>
      <Name>CommonEntity</Name>
    </ProjectReference>
    <ProjectReference Include="..\Common\Common.csproj">
      <Project>{B3F29715-E925-4E56-9248-580F06C3BC11}</Project>
      <Name>Common</Name>
    </ProjectReference>
    <ProjectReference Include="..\Dao\Dao.csproj">
      <Project>{DC017E1A-8853-4267-932E-30CB3BCF8CF5}</Project>
      <Name>Dao</Name>
    </ProjectReference>
    <ProjectReference Include="..\Domain\Domain.csproj">
      <Project>{A42D287A-8EF4-48F6-B14C-7F9CA834F786}</Project>
      <Name>Domain</Name>
    </ProjectReference>
    <ProjectReference Include="..\RCUHost\RCUHost.csproj">
      <Project>{3AF4C628-0B47-412C-950A-DBC0161F2A7F}</Project>
      <Name>RCUHost</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="IECO_RoomDetailManager.cs" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Implement\ECO_DetailManager.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>